"use strict";

exports.__esModule = true;
exports.default = requireAsyncProperty;

function requireAsyncProperty(_ref) {
  var t = _ref.types;

  function getFunc(funcPath) {
    if (funcPath.isObjectMethod()) {
      var _funcPath$node = funcPath.node,
          params = _funcPath$node.params,
          body = _funcPath$node.body,
          async = _funcPath$node.async;
      return t.arrowFunctionExpression(params, body, async);
    }

    return funcPath.node;
  }

  return function (_ref2) {
    var funcPath = _ref2.funcPath;
    return t.objectProperty(t.identifier('requireAsync'), getFunc(funcPath));
  };
}